Read a file document's content hash
GET
/api/v1/documents/{canonicalId}/hash
const url = 'https://app.avera.io/api/v1/documents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/hash';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.avera.io/api/v1/documents/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/hashReturns the stored checksum and algorithm of the document’s primary file, for e-signature verification. File documents only.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”canonicalId
required
string format: uuid
Responses
Section titled “Responses”OK
Media type*/*
object
itemId
required
string format: uuid
itemNumber
required
string
itemSeq
required
integer format: int64
fileContentId
required
string format: uuid
fileName
required
string
hash
required
string
hashAlgorithm
required
string